Add patch for positional params in passphrase dlg
[gpg4win.git] / README.GIT
1 If you are building from GIT, run the script
2
3 ./autogen.sh
4
5 first, to make sure that you have all the necessary maintainer tools
6 are installed and to build the actual configuration files.  If you
7 have just checked out from GIT, you should add the option "--force" to
8 autogen.sh so that meta data is noticed by autom4te.cache.  Then run
9
10 ./autogen.sh --build-w32
11
12 followed by the usual make.
13
14 If autogen.sh complains about insufficient versions of the required
15 tools, or the tools are not installed, you may use environment
16 variables to override the default tool names:
17
18  AUTOMAKE_SUFFIX  is used as a suffix for all tools from the automake
19                   package.  For example
20                      AUTOMAKE_SUFFIX="-1.7" ./autogen.sh
21                   uses "automake-1.7" and "aclocal-1.7.
22  AUTOMAKE_PREFIX  is used as a prefix for all tools from the automake
23                   page and may be combined with AUTOMAKE_SUFFIX. e.g.:
24                     AUTOMAKE_PREFIX=/usr/foo/bin ./autogen.sh
25                   uses "automake" and "aclocal" in the /usr/foo/bin
26                   directory.
27  AUTOCONF_SUFFIX  is used as a suffix for all tools from the automake
28                   package
29  AUTOCONF_PREFIX  is used as a prefix for all tools from the automake
30                   package
31  GETTEXT_SUFFIX   is used as a suffix for all tools from the gettext
32                   package
33  GETTEXT_PREFIX   is used as a prefix for all tools from the gettext
34                   package
35
36 It is also possible to use the variable name AUTOMAKE, AUTOCONF,
37 ACLOCAL, AUTOHEADER, GETTEXT and MSGMERGE to directly specify the name
38 of the programs to run.  It is however better to use the suffix and
39 prefix forms as described above because that does not require
40 knowledge about the actual tools used by autogen.sh.
41
42
43 Please don't use autopoint, libtoolize or autoreconf unless you are
44 the current maintainer and want to update the standard configuration
45 files.  All those files should be in GIT and only updated manually
46 if the maintainer decides that newer versions are required.  The
47 maintainer should also make sure that the required version of automake
48 et al. are properly indicated at the top of configure.ac and take care
49 to copy the files and not merely use symlinks.